Retrieve TCA execution summaries
Returns persisted account-scoped TCA execution summaries and totals for the active trade account. Date filters apply to summary creation time.
x-api-key<token>
In: header
Query Parameters
limit?integer
Range
0 < value <= 2000Default
100cursor?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Format
date-timefrom?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Format
date-timeto?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Format
date-timeHeader Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/tca/summary" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "2026-01-15T09:30:00.000Z", "summaries": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "executionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "tradeAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "executionContext": { "intent": "OPEN", "orderType": "MARKET", "executionStatus": "IDLE", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "triggerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "legs": [ { "symbol": "string", "side": "BUY", "reduceOnly": true } ] }, "notionalQuote": "string", "notionalUsd": "string", "weightedSlippageBps": "string", "totalSlippageUsd": "string", "totalTradeFee": "string", "totalPearFee": "string", "totalCostUsd": "string", "fillCount": 0, "status": "FINAL", "createdAt": "2026-01-15T09:30:00.000Z", "updatedAt": "2026-01-15T09:30:00.000Z" } ], "totals": { "executionCount": 0, "fillCount": 0, "notionalQuote": "string", "notionalUsd": "string", "weightedSlippageBps": "string", "totalSlippageUsd": "string", "totalTradeFee": "string", "totalPearFee": "string", "totalCostUsd": "string" }}